﻿using System;

using CMS.DataEngine;

namespace Kentico
{
    class Program
    {
        static void Main()
        {
            try
            {
                CMSApplication.Init();
                RunDetection();
            }
            catch (Exception exception)
            {
                Console.WriteLine("The application encountered an error: {0}", exception.Message);
            }

            Console.ReadKey();
        }


        private static void RunDetection()
        {
            var logService = new LogService(Console.Out);

            var detector = new AbsolutePageLinksDetectionUtility(logService);
            detector.DetectPotentialIssues();
        }
    }
}
